Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EntityEJBRuntimeMBean

public interface EntityEJBRuntimeMBean
extends EJBRuntimeMBean

This interface contains accessor methods for all EJB runtime information collected for an Entity Bean.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`EJBCacheRuntimeMBean` | `getCacheRuntime()` Returns the EJBCacheRuntimeMBean, containing runtime information about the cache, for this EJB.
`EJBLockingRuntimeMBean` | `getLockingRuntime()` Returns the EJBLockingRuntimeMBean, containing runtime information about the lock manager, for this EJB.
`EJBPoolRuntimeMBean` | `getPoolRuntime()` Returns the EJBPoolRuntimeMBean, containing runtime information about the free pool, for this EJB.

Methods inherited from interface weblogic.management.runtime.EJBRuntimeMBean
`getEJBName, getResources, getTransactionRuntime`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPoolRuntime

    public EJBPoolRuntimeMBean getPoolRuntime()

  Returns the EJBPoolRuntimeMBean, containing runtime information about the free pool, for this EJB.

  Returns:
    The poolRuntime value

### getCacheRuntime

    public EJBCacheRuntimeMBean getCacheRuntime()

  Returns the EJBCacheRuntimeMBean, containing runtime information about the cache, for this EJB.

  Returns:
    The cacheRuntime value

### getLockingRuntime

    public EJBLockingRuntimeMBean getLockingRuntime()

  Returns the EJBLockingRuntimeMBean, containing runtime information about the lock manager, for this EJB. If this Entity bean does not use an exclusive concurrency strategy, null will be returned.

  Returns:
    The lockingRuntime value or null if Exclusive concurrency not used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD